
Application: gvSIG desktop - gvSIG bugs #1357
Save an existing project of persistence fails 
11/06/2012 02:03 PM - María Maluenda

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2057 Add-on resolve version:
Operative System: Linux Add-on resolve build: 29
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Raster base support (org.gvsig.raster.tilecache.app)
Description

1.- Open gvSIG BN 2057
2.- File menu, open project: testing/persistence/gvSIG_2_0/*persistence_basic_2_0_WCS.gvsproj*
3.- Save the project
An error appears
Attached .log
The structure to folders is: testing/persistence/gvSIG_2_0/ 
gvSIG_2_0 folder containing the folder with data test_data and persistence_basic_2_0_WCS.gvsproj project.
The test data can download: http://downloads.gvsig.org/download/testing/test_plan/gvsig_1x/1.12/gvSIG_1_12_testing.zip
Note: If you open the View 3 (Vista 3 acceso a datos remotos I) and active the layers WCS (Valencia-Sueca,
Xeraco-Gandia-Daimús), are recharged and now off and save the project, the error does not appear
------------------
1.- Abrir gvSIG BN 2057
2.- Abrir proyecto existente testing/persistence/gvSIG_2_0/*persistence_basic_2_0_WCS.gvsproj*
3.- Guardar el proyecto
Aparece un error
Adjunto .log
La estructura de carpetas es:testing/persistence/gvSIG_2_0/ 
La carpeta de gvSIG_2_0 folder contiene la carpeta con los datos test_data y el proyecto persistence_basic_2_0_WCS.gvsproj
Los datos de prueba se pueden descargar de: 
http://downloads.gvsig.org/download/testing/test_plan/gvsig_1x/1.12/gvSIG_1_12_testing.zip
Nota: Si abre la Vista 3 (Vista 3 acceso a datos remotos I) y activa las capas WCS, se recargan y ahora las desactiva y guarda el
proyecto, el error no aparece

History
#1 - 11/07/2012 09:52 AM - Joaquín  del Cerro Murciano
- Category changed from Application to Raster
- Assignee set to Ignacio Brodín

#2 - 11/08/2012 04:54 PM - Ignacio Brodín
- Status changed from New to Awaiting response

The gvsproj file is corrupt. I cannot test this bug. Can you attach a good file?
http://downloads.gvsig.org/download/testing/test_plan/gvsig_1x/1.12/gvSIG_1_12_testing.zip
http://downloads.gvsig.org/download/testing/test_plan/gvsig_1x/1.12/gvSIG_1_12_testing.zip


#3 - 11/09/2012 09:11 AM - María Maluenda
- File persistence_WCS_off.gvsproj added

Yes, I attached another project. WCS layer is off,no change and return to save the project,should appears an error. I tested now with the gvSIG build
2057.

#4 - 11/09/2012 09:32 AM - María Maluenda
- Status changed from Awaiting response to New

#5 - 11/09/2012 10:55 AM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on name changed from Unknown to Raster base support (org.gvsig.raster.tilecache.app)
- Add-on resolve build set to 29

Además se  soluciona un problema que es que al abrir un proyecto WCS en el toc las propiedades del raster aparecen deshabilitadas. Esto aparece
en el build 29 de WCS.

gvsig-raster:r1330

#6 - 11/16/2012 10:25 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2058.

Files
gvSIG.log 325 KB 11/06/2012 María Maluenda
gvSIG-environ.info 7.56 KB 11/06/2012 María Maluenda
persistence_basic_2_0_WCS.gvsproj 39 Bytes 11/06/2012 María Maluenda
persistence_WCS_off.gvsproj 12.4 KB 11/09/2012 María Maluenda
